OpenNMS API 1.2.9

## org.opennms.protocols.snmp
Class SnmpBadConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.opennms.protocols.snmp.SnmpBadConversionException

All Implemented Interfaces:
  java.io.Serializable

public class SnmpBadConversionException
extends java.lang.Exception

Constructed when the library is unable to covert a value to another.

Author:
  Brian Weaver
See Also:
  `SnmpIPAddress.convertToIpAddress()`, Serialized Form

Field Summary
`private java.lang.Exception` `m_chained` The original exception that caused this exception to be generated.

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SnmpBadConversionException()` The exception constructor
`SnmpBadConversionException(java.lang.Exception reason)` Constructs a new exception which is based upon a previous exception.
`SnmpBadConversionException(java.lang.String why)` The exception constructor.
`SnmpBadConversionException(java.lang.String why, java.lang.Exception reason)` The exception constructor

Method Summary
`void` `printStackTrace()` Prints the stack trace of the exception.
`void` `printStackTrace(java.io.PrintStream stream)` Prints the stack trace of the exception.
`void` `printStackTrace(java.io.PrintWriter writer)` Prints the stack trace of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_chained

    private final java.lang.Exception m_chained

  The original exception that caused this exception to be generated.

Constructor Detail

### SnmpBadConversionException

    public SnmpBadConversionException(java.lang.String why)

  The exception constructor.

Parameters:
  `why` - The message for the exception.

### SnmpBadConversionException

    public SnmpBadConversionException(java.lang.String why,
                                      java.lang.Exception reason)

  The exception constructor

Parameters:
  `why` - The message for the exception.
  `reason` - The original exception that caused the problem

### SnmpBadConversionException

    public SnmpBadConversionException()

  The exception constructor

### SnmpBadConversionException

    public SnmpBadConversionException(java.lang.Exception reason)

  Constructs a new exception which is based upon a previous exception. The two exceptions are chained together internally.

Parameters:
  `reason` - The original exception

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the exception. If the exception has been chained then the original exception is also printed to the stream.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Prints the stack trace of the exception. If the exception has been chained then the original exception is also printed to the stream.

  Parameters:
    `writer` - The stream to writer the stack trace onto.

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Prints the stack trace of the exception. If the exception has been chained then the original exception is also printed to the stream.

  Parameters:
    `stream` - The stream to writer the stack trace onto.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.